I tested version 5.4.2.1-8.12.6.1.
And if you Upgrade to SP2 you get also this version and than you can't reinstall 5.4.2.1-8.5.1 from Yast.
One point to what to plan the upgrade.